Bug 146713 - [patch] net-mgmt/argus-monitor update
Summary: [patch] net-mgmt/argus-monitor update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-18 20:30 UTC by dave
Modified: 2011-02-03 11:20 UTC (History)
0 users

See Also:


Attachments
file.diff (855 bytes, patch)
2010-05-18 20:30 UTC, dave
no flags Details | Diff
argus-monitor.shar (18.14 KB, application/octet-stream; x-unix-mode=0644)
2010-08-30 12:47 UTC, dirkx
no flags Details
argus-monitor.shar (18.14 KB, application/octet-stream)
2010-08-30 09:25 UTC, dirkx
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dave 2010-05-18 20:30:02 UTC
argus monitor is using a 2006 version.  Very old.

How-To-Repeat: cd /usr/ports/net-mgmt/argus-montor
make install
Comment 1 dave 2010-06-08 19:13:51 UTC
it would seem to make sense to get this in before the 8.1 freeze.  I did 
OK being the maintainer after being asked.
Comment 2 Stefan Walter freebsd_committer 2010-07-01 13:33:59 UTC
Dear maintainer of net-mgmt/argus-monitor,

a problem report has been submitted for your port for which your 
feedback might be required; its contents can be found at [1]. If it 
contains a patch or suggestions for a change, please send a followup to 
the PR explaining whether or not you approve it and want it to be 
committed.

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146713
Comment 3 Stefan Walter freebsd_committer 2010-07-01 13:34:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback. 


Comment 4 Stefan Walter freebsd_committer 2010-07-01 13:34:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Track this.
Comment 5 Stefan Walter freebsd_committer 2010-08-02 17:43:49 UTC
Responsible Changed
From-To: stefan->freebsd-ports-bugs

Return this PR to the pool - I currently do not have the time to take care of 
it.
Comment 6 Tilman Keskinoz freebsd_committer 2010-08-09 17:11:31 UTC
pkg-plist fails:

Creating bzip'd tar ball in '/usr/ports/packages/All/argus-monitor-20100109.tbz'
tar: etc/argus-monitor/locale/eubonics: Cannot stat: No such file or directory
tar: lib/argus-monitor/Argus/BER.pm: Cannot stat: No such file or directory
tar: lib/argus-monitor/GraphData.pm: Cannot stat: No such file or directory
tar: lib/argus-monitor/SNMP.pm: Cannot stat: No such file or directory
tar: sbin/arguscgi: Cannot stat: No such file or directory
tar: sbin/argusvxml: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
Comment 7 dirkx 2010-08-30 09:25:38 UTC
Updated patch.

Dw.
Comment 8 dirkx 2010-08-30 12:47:04 UTC
Resent (with corrected subject reference & portlint/echo fix).

Dw.
Comment 9 dirkx 2010-09-05 15:35:06 UTC
Note that 'shar-1' should be used- shar-2 arrived out of order and has a =
erroneous 'ECHO' statement in it.

Dw.=
Comment 10 Philip M. Gollucci freebsd_committer 2010-09-17 00:36:07 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 11 Stefan Walter freebsd_committer 2010-11-11 15:21:01 UTC
Hi Dirk-Willem,

you sent a followup to ports/146713 (see [1]) containing a shar file.
Updates to existing ports should generally be sent in unified diff format
(as produced by "diff -u"), not as shar files, as diffs make it easier to
see what changed. Furthermore, the PR already contained a patch to update
the port, and you didn't add any comment explaining what is different with
your update.

Could you send a followup to the PR with a unified diff and with some kind
of explanation?

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146713
Comment 12 dfilter service freebsd_committer 2011-02-03 11:14:00 UTC
arved       2011-02-03 11:13:55 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/argus-monitor Makefile distinfo pkg-plist 
    net-mgmt/argus-monitor/files argusd.in 
  Added files:
    net-mgmt/argus-monitor/files apache.conf.in patch.001 
                                 pkg-message.in 
  Log:
  Update to 20100109
  
  PR:             146713
  Submitted by:   Dirk-Willem van Gulik
  Feature safe:   yes
  
  Revision  Changes    Path
  1.6       +24 -3     ports/net-mgmt/argus-monitor/Makefile
  1.2       +2 -3      ports/net-mgmt/argus-monitor/distinfo
  1.1       +27 -0     ports/net-mgmt/argus-monitor/files/apache.conf.in (new)
  1.3       +14 -1     ports/net-mgmt/argus-monitor/files/argusd.in
  1.1       +180 -0    ports/net-mgmt/argus-monitor/files/patch.001 (new)
  1.1       +17 -0     ports/net-mgmt/argus-monitor/files/pkg-message.in (new)
  1.2       +50 -6     ports/net-mgmt/argus-monitor/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Tilman Keskinoz freebsd_committer 2011-02-03 11:14:12 UTC
State Changed
From-To: open->closed

committed, thanks